#@TYPE: Machine
#@Name: Glomation GESBC-9302 single board computer
#@DESCRIPTION: Low cost SBC based on Cirrus Logic EP9302 CPU

TARGET_ARCH = "arm"
PACKAGE_EXTRA_ARCHS = "armv4t"

PREFERRED_PROVIDER_virtual/kernel = "linux"
PREFERRED_VERSION_linux ?= "2.6.24"

#don't try to access tty1
USE_VT = "0"

MACHINE_FEATURES = "kernel26 apm alsa ext2 pcmcia usbhost screen"

# used by sysvinit_2
SERIAL_CONSOLE = "57600 ttyAM0"

# used by some images
ROOT_FLASH_SIZE = "8"
#extra jffs2 tweaks
IMAGE_FSTYPES ?= "jffs2"
EXTRA_IMAGECMD_jffs2 = "--eraseblock=0x40000 --pad=0x500000 "

#tune for ep93xx cpus
#can be used for crunch support later on
#require conf/machine/include/tune-ep9312.inc

require conf/machine/include/tune-arm920t.inc

